package com.dji.sample.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author hqjiang
 * @version 0.1
 * @date 2024/9/11
 */
@ConfigurationProperties(prefix = "mail-info")
@Component
public class MailConfiguration {

    public static String enabled;

    public static String host;


    public static Integer port;

    public void setEnabled(String enabled) {
        MailConfiguration.enabled = enabled;
    }

    public void setHost(String host) {

        MailConfiguration.host = host;
    }

    public void setPort(Integer port) {
        MailConfiguration.port = port;
    }

    public void setAuth(Boolean auth) {

        MailConfiguration.auth = auth;
    }

    public void setFrom(String from) {
        MailConfiguration.from = from;
    }

    public void setUser(String user) {
        MailConfiguration.user = user;
    }

    public void setPass(String pass) {
        MailConfiguration.pass = pass;
    }

    public void setStarttlsEnable(Boolean starttlsEnable) {
        MailConfiguration.starttlsEnable = starttlsEnable;
    }

    public void setSslEnable(Boolean sslEnable) {
        MailConfiguration.sslEnable = sslEnable;
    }

    public void setTimeout(long timeout) {
        MailConfiguration.timeout = timeout;
    }

    public void setConnectionTimeout(long connectionTimeout) {
        MailConfiguration.connectionTimeout = connectionTimeout;
    }

    public static Boolean auth;


    public static String from;


    public static String user;


    public static String pass;


    public static Boolean starttlsEnable;


    public static Boolean sslEnable;


    public static long timeout;


    public static long connectionTimeout;




}



